---
url: >-
  https://game-engine-io.github.io/enginex-frontend-sdk/reference/api/@getenginex/sdk-igaming/interfaces/GameSession.md
---
[Reference](../../../index.md) / [@getenginex/sdk-igaming](../index.md) / GameSession

# GameSession

The player's game session (`GET /games/sessions`). Opening a game ends the previous active session.

## Properties

### gameId

> **gameId**: `string`

Game id.

***

### gameName

> **gameName**: `string`

Game name.

***

### id

> **id**: `string`

Session id.

***

### provider

> **provider**: `string`

Provider id.

***

### startTime

> **startTime**: `string`

Session start, ISO 8601 (UTC).

***

### status

> **status**: [`GameSessionStatus`](../type-aliases/GameSessionStatus.md)

Status, e.g. `active`.

***

### totalBet

> **totalBet**: `number`

Total wagered in the session, in minor units of the operator's currency.

***

### totalWin

> **totalWin**: `number`

Total won in the session, in minor units of the operator's currency.
